Skip to main content
POST
/
coupon-list
/
{coupon_list_id}
/
usage-report
Generate Usage Report
curl --request POST \
  --url https://api-0{dc}.moengage.com/v1/coupon-list/{coupon_list_id}/usage-report \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --header 'MOE-APPKEY: <moe-appkey>' \
  --data '
{
  "start_date": "2023-12-25",
  "end_date": "2023-12-25",
  "email_subscribers": [
    "jsmith@example.com"
  ]
}
'
{ "message": "The usage report for the {{coupon list name}} coupons is being processed and will be sent to email alert subscribers shortly." }

Rate Limit

You can generate:
  • 5 usage reports of coupon list per minute or
  • 50 usage reports of coupon list per day

Authorizations

Authorization
string
header
required

Uses Workspace ID as username and API Key as password.

Headers

MOE-APPKEY
string
required

This is the workspace ID (earlier APP ID) of your MoEngage workspace. The MOE-APPKEY has to be passed in the request. You can find your MoEngage Workspace ID in the MoEngage Dashboard: Settings -> Account -> APIs -> Workspace ID (earlier app id).

Path Parameters

coupon_list_id
string
required

The unique identifier for the coupon list.

Body

application/json
start_date
string<date>
required

This field consists of the start date of the coupon list usage report in yyyy-mm-dd format.

end_date
string<date>
required

This field consists of the end date of the coupon list usage report in yyyy-mm-dd format.

email_subscribers
string<email>[]
required

This field consists of the email address of the coupon list subscribers who will receive the report.

Response

Success Indicates that the request is successful and the coupon list usage report request is accepted.

message
string

The following is the success message indicating the report is being processed.